shevek::dir::file(3)

NAME
shevek::dir::file -

Information about a single file in a directory.

SYNOPSIS

#include <dir.hh>

  Public Member Functions

bool operator< (file const &that) const
Sorting operator, needed for putting them in a std::set.

  Public Attributes

std::string name
The name of the file.
bool is_dir
Whether it is a directory.
uid_t uid
The user-ID of the file.
gid_t gid
The group-ID of the file.
off_t size
The size of the file.

Detailed Description

Information about a single file in a directory.

Author

Generated automatically by Doxygen for libshevek from the source code.